Summary: A file compression and packaging utility compatible with PKZIP
Name: zip
Version: 2.32
Release: 1
License: BSD
Group: Applications/Archiving
Source: http://ftp.info-zip.org/pub/infozip/src/zip232.tar.gz
Source1: ftp://ftp.freesoftware.com/pub/infozip/src/zcrypt29.tar.gz
URL: http://www.info-zip.org/pub/infozip/Zip.html
Patch0: zip-2.3-noninteractivepassword+testencryptedfile.patch
Patch1: zip-2.32-currdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and
is compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -a 1
%patch0 -p1
%patch1


%build
make -f unix/Makefile \
    prefix=%{_prefix} \
    "CFLAGS=$CFLAGS -I. -DUNIX" \
    generic %{?_smp_mflags}


%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir} 
mkdir -p ${RPM_BULD_ROOT}%{_mandir}/man1
make -f unix/Makefile prefix=${RPM_BUILD_ROOT}%{_prefix} \
        MANDIR=${RPM_BUILD_ROOT}%{_mandir}/man1 install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}%{_mandir}/man1
ln -s zip.1 zipcloak.1
ln -s zip.1 zipnote.1
ln -s zip.1 zipsplit.1

(
  cd ${RPM_BUILD_ROOT}
  mkdir -p usr/bin
  cd usr/bin
  ln -sf ../..%{_prefix}/bin/* .
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README CHANGES TODO WHATSNEW WHERE LICENSE README.CR
%doc proginfo/algorith.txt
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Mon Apr 21 2008 Michael Perzl <michael@perzl.org> - 2.32-1
- First version for AIX5L v5.1 and higher
